Core - Feature # 37939

Status: Resolved Priority: Should have

Author: Stefan Neufeind Category: FormEngine aka TCEforms
Created: 2012-06-12 Assigned To:

Updated: 2013-03-31 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: displayCond should allow multiple conditions/checks

Description

In some cases it would be good to have at least basic support for multiple conditions. Since afaik multiple displayCond-entries in
flexform are a problem, we would need to find a syntax within one displayCond-entry to check for two or more things at once (if "a
selected and b selected" or so).

Related issues:

related to Core - Bug # 37938: Using HTMLS5 for audio not (easily) possible du... New 2012-06-12
duplicates Core - Feature # 18211: Array of display conditions for TCA fields... Resolved 2008-02-14
History

#1 - 2012-06-12 05:56 - Georg Ringer

isnt't that a duplicate of #18211?

#2 - 2012-06-12 11:22 - Stefan Neufeind

about #18211: Sort of, | agree. Didn't find that one until now.

The only point is that you can't write "arrays" into flexform-XML. So if 18211 goes in imho we'd need to check it can also be configured in
XML-notation. Leave this here as a separate bug for follow-up after the other thing is merged? Or add a comment to 18211 and close this one here as

duplicate?

#3 - 2012-06-26 09:32 - Jigal van Hemert
- Status changed from New to Needs Feedback

@Stefan: what do you mean by 'you can't write "arrays" into flexform-XML'? Arrays are used for making selectorbox items:

<config>
<type>select</type>
<items type="array">
<numlindex index="0" type="array">
<numindex index="0">Label1</numindex>
<numindex index="1">Value1</numindex>
</numindex>
<numindex index="1" type="array">
<numindex index="0">Label2</numIndex>
<numindex index="1">Value2</numindex>

</numindex>
</items>

</config>

#4 - 2012-06-26 20:56 - Stefan Neufeind

Oh yes sure, it's doable that way. | just wasn't sure how those nested displayCond-statements would look like. It could work / be made working :-)

#5 - 2013-03-31 16:54 - Christian Kuhn

- Status changed from Needs Feedback to Resolved

Resolved as dupe of #18211 for now.
